%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		geary
Version:	46.0
Release:	%mkrel 5
Summary:	A lightweight email program designed around conversations
License:	LGPLv2+
Group:		Networking/Mail
URL:		https://wiki.gnome.org/Apps/Geary
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	gettext
BuildRequires:	gnome-doc-utils
BuildRequires:	iso-codes
BuildRequires:	itstool
BuildRequires:	valadoc
BuildRequires:	libstemmer-devel
BuildRequires:	pkgconfig(appstream-glib)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(enchant-2)
BuildRequires:	pkgconfig(folks)
BuildRequires:	pkgconfig(gcr-3)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gmime-3.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gsound)
BuildRequires:	pkgconfig(gspell-1)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(icu-uc)
BuildRequires:	pkgconfig(javascriptcoregtk-4.1)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libpeas-1.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libytnef)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(vapigen)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	pkgconfig(webkit2gtk-web-extension-4.1)
Requires:	hicolor-icon-theme
Recommends:	gnome-keyring

%description
Geary is a new email reader for GNOME designed to let you read your email
quickly and effortlessly. Its interface is based on conversations, so you
can easily read an entire discussion without having to click from message
to message.
Geary is still in early development and has limited features today, but
we're planning to add lightning-fast searching, multiple account support,
and much more. Eventually we'd like Geary to have an extensible plugin
architecture so that developers will be able to add all kinds of nifty
features in a modular way.

%prep
%autosetup -p1

%build
export CPATH=%{_includedir}/libstemmer
%meson -Dprofile=release
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS NEWS README.md THANKS
%license COPYING
%{_bindir}/%{name}*
%{_datadir}/%{name}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Geary.gschema.xml
%{_datadir}/dbus-1/services/org.gnome.Geary.service
%{_iconsdir}/hicolor/*/apps/*.*
%{_iconsdir}/hicolor/*/actions/*.*
%{_metainfodir}/org.gnome.Geary.appdata.xml
%{_libdir}/%{name}/


%changelog
* Mon Jul 07 2025 umeabot <umeabot> 46.0-5.mga10
+ Revision: 2248174
- Mageia 10 Mass Rebuild

* Sun Mar 16 2025 wally <wally> 46.0-4.mga10
+ Revision: 2164801
- rebuild for libxml2 2.13.6

* Sun Jan 12 2025 wally <wally> 46.0-3.mga10
+ Revision: 2138356
- rebuild for icu 76.1

* Thu Sep 19 2024 daviddavid <daviddavid> 46.0-2.mga10
+ Revision: 2099048
- rebuild for new gspell 1.14.0

* Sun Jun 02 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2069187
- new version 46.0

* Wed Oct 11 2023 daviddavid <daviddavid> 44.1-3.mga10
+ Revision: 1994341
- rebuild for icu73
+ tv <tv>
- Rebuild for libicu 73

* Tue Aug 29 2023 daviddavid <daviddavid> 44.1-1.mga10
+ Revision: 1980765
- new version 44.1

* Sat May 06 2023 daviddavid <daviddavid> 43.0-3.mga9
+ Revision: 1955988
- on more upstream fixes
- backport upstream patch to fix build with new vala

* Sat Jan 07 2023 squidf <squidf> 43.0-2.mga9
+ Revision: 1931116
- Mass rebuild for icu 72.1

* Sun Oct 23 2022 ghibo <ghibo> 43.0-1.mga9
+ Revision: 1898700
- Update to release 43.0

* Wed Sep 21 2022 wally <wally> 40.0-7.mga9
+ Revision: 1891204
- drop unneeded libsoup-3.0 BR as it's explicitly removed with the patch added originally in r1890975 and later replaced with same patch from 'mighty' Fedora
- fix BS comment in .spec

* Wed Sep 21 2022 tv <tv> 40.0-6.mga9
+ Revision: 1891048
- Fix multiple patches with same number (sigh...)
- Build against libsoup 3 & webgtk 4.1

* Tue Sep 20 2022 wally <wally> 40.0-5.mga9
+ Revision: 1890975
- build against webkit2gtk-4.1 and without libsoup

* Sun Jun 19 2022 wally <wally> 40.0-4.mga9
+ Revision: 1865179
- add upstream patches to fix build
+ squidf <squidf>
- rebuild for icu 71.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Aug 04 2021 luigiwalser <luigiwalser> 40.0-2.mga9
+ Revision: 1739335
- rebuild for icu

* Thu May 20 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1725826
- new version 40.0

* Fri Mar 05 2021 daviddavid <daviddavid> 3.38.2-2.mga9
+ Revision: 1698770
- rebuild for new folks 0.15.2
+ ovitters <ovitters>
- new version 3.38.2

* Sun Oct 04 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1632174
- new version 3.38.1

* Mon Sep 14 2020 ovitters <ovitters> 3.38.0.1-1.mga8
+ Revision: 1626490
- new version 3.38.0.1

* Sun Sep 13 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625505
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1622820
- new version 3.37.92

* Thu Aug 27 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619183
- new version 3.37.91

* Wed Aug 19 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1615909
- new version 3.37.90

* Wed Jun 10 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1591720
- new version 3.37.1

* Tue Jun 02 2020 daviddavid <daviddavid> 3.36.2-2.mga8
+ Revision: 1589723
- recommend gnome-keyring
- do not filter out from provides libgeary-client-3.36.so

* Sun May 10 2020 ovitters <ovitters> 3.36.2-1.mga8
+ Revision: 1582699
- new version 3.36.2

* Sun Mar 29 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1562134
- new version 3.36.1

* Fri Mar 13 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1555968
- new version 3.36.0

* Mon Mar 02 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1553098
- use %%autosetup
- fix BRs
+ ovitters <ovitters>
- new version 3.35.90

* Tue Feb 18 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1538595
- Mageia 8 Mass Rebuild

* Sun Nov 24 2019 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1462539
- new version 3.34.2

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450076
- new version 3.34.1

* Sun Sep 22 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1444528
- new version 3.34.0

* Wed Sep 11 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1439530
- new version 3.33.91

* Fri Aug 30 2019 tv <tv> 3.33.90-1.mga8
+ Revision: 1435211
- BR pkgconfig(gspell-1)
- BR pkgconfig(appstream-glib)
+ ovitters <ovitters>
- new version 3.33.90

* Mon Aug 19 2019 daviddavid <daviddavid> 3.33.1-1.mga8
+ Revision: 1430228
- new version 3.33.1

* Sun Aug 04 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1427222
- new version 3.32.2

* Sun Apr 28 2019 daviddavid <daviddavid> 3.32.1-1.mga7
+ Revision: 1395805
- new version 3.32.1

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392208
- Rebuild with meson 0.50.1

* Sun Mar 17 2019 daviddavid <daviddavid> 3.32.0-1.mga7
+ Revision: 1378455
- new version 3.32.0

* Mon Mar 11 2019 ovitters <ovitters> 0.13.3-1.mga7
+ Revision: 1373904
- new version 0.13.3

* Thu Mar 07 2019 ovitters <ovitters> 0.13.2-1.mga7
+ Revision: 1372101
- new version 0.13.2

* Sat Feb 23 2019 wally <wally> 0.13.1-2.mga7
+ Revision: 1369508
- switch to enchant2

* Thu Feb 21 2019 ovitters <ovitters> 0.13.1-1.mga7
+ Revision: 1369022
- new version 0.13.1

* Tue Feb 19 2019 wally <wally> 0.13.0-1.mga7
+ Revision: 1368479
- new version 0.13.0
- switch to meson build

* Fri Jan 25 2019 daviddavid <daviddavid> 0.12.4-2.mga7
+ Revision: 1360593
- add another patch to actually use error variable to check for IOError.CANCELLED
- add patch to build with WebkitGTK 2.21.x.

* Wed Aug 29 2018 ovitters <ovitters> 0.12.4-1.mga7
+ Revision: 1255469
- new version 0.12.4

* Sat Jul 14 2018 ovitters <ovitters> 0.12.3-1.mga7
+ Revision: 1243517
- new version 0.12.3

* Tue Apr 24 2018 ovitters <ovitters> 0.12.2-1.mga7
+ Revision: 1222096
- new version 0.12.2

* Tue Feb 13 2018 ovitters <ovitters> 0.12.1-1.mga7
+ Revision: 1200754
- new version 0.12.1

* Sun Dec 17 2017 wally <wally> 0.12.0-1.mga7
+ Revision: 1183017
- new version 0.12.0

* Mon Oct 02 2017 ovitters <ovitters> 0.11.4-1.mga7
+ Revision: 1162555
- new version 0.11.4

* Mon May 29 2017 akien <akien> 0.11.3-2.mga6
+ Revision: 1105416
- Fix build against vala 0.36

* Sun Dec 25 2016 ovitters <ovitters> 0.11.3-1.mga6
+ Revision: 1077267
- new version 0.11.3
- dropped merged patch 1

* Fri Oct 07 2016 daviddavid <daviddavid> 0.11.2-1.mga6
+ Revision: 1059309
- add upstream patch to fix build with vala 0.34
+ ovitters <ovitters>
- new version 0.11.2

* Mon Jun 27 2016 daviddavid <daviddavid> 0.11.1-1.mga6
+ Revision: 1037767
- new version: 0.11.1
- update URL

* Mon May 16 2016 daviddavid <daviddavid> 0.11.0-1.mga6
+ Revision: 1016126
- new version: 0.11.0

* Sun May 01 2016 luigiwalser <luigiwalser> 0.10.0-2.mga6
+ Revision: 1008435
- back to webkit1 for now
- try building with webkit2
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Jun 22 2015 ovitters <ovitters> 0.10.0-1.mga6
+ Revision: 838746
- new version 0.10.0

* Sat Jun 20 2015 ovitters <ovitters> 0.8.3-1.mga6
+ Revision: 836669
- new version 0.8.3
- new version 0.8.2

* Wed Oct 15 2014 umeabot <umeabot> 0.8.1-2.mga5
+ Revision: 743579
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 ovitters <ovitters> 0.8.1-1.mga5
+ Revision: 737493
- new version 0.8.1

* Sun Sep 21 2014 luigiwalser <luigiwalser> 0.8.0-1.mga5
+ Revision: 701084
- add missing BRs pkgconfig(gcr-3) and waf
+ ovitters <ovitters>
- new version 0.8.0
- new version 0.7.2
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 ovitters <ovitters> 0.7.1-1.mga5
+ Revision: 666074
- new version 0.7.1

* Sat Jul 19 2014 ovitters <ovitters> 0.7.0-1.mga5
+ Revision: 653717
- new version 0.7.0

* Wed Jul 02 2014 ovitters <ovitters> 0.6.1-1.mga5
+ Revision: 642054
- new version 0.6.1

* Mon Mar 17 2014 ovitters <ovitters> 0.6.0-1.mga5
+ Revision: 604574
- new version 0.6.0

* Tue Mar 04 2014 ovitters <ovitters> 0.5.3-1.mga5
+ Revision: 599282
- new version 0.5.3

* Sat Feb 15 2014 ovitters <ovitters> 0.5.2-1.mga5
+ Revision: 591539
- new version 0.5.2

* Tue Feb 04 2014 dams <dams> 0.5.1-1.mga5
+ Revision: 580683
- new version 0.5.1

* Mon Dec 23 2013 dams <dams> 0.4.3-1.mga4
+ Revision: 560071
- new version 0.4.3

* Thu Nov 28 2013 dams <dams> 0.4.2-1.mga4
+ Revision: 553848
- update source URL
- new version 0.4.2
- remove useless patch and fix for webkitgtk

* Mon Oct 21 2013 umeabot <umeabot> 0.4.0-2.mga4
+ Revision: 539719
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 dams <dams> 0.4.0-1.mga4
+ Revision: 492818
- add a patch to build with 'webkit3-2.2.0'
- new version 0.4.0
- new git snapshot (20130925) to fix upstream #7541 (don't build with WebKitGTK2)
- new git snapshot (20130924)
- new git snapshot (20130920), 0.4.0pr2
+ fwang <fwang>
- use system webkit gir
- disable some operations for build
- build with cmake

* Wed Apr 10 2013 dams <dams> 0.3.1-1.mga3
+ Revision: 409386
- new version 0.3.1

* Fri Mar 29 2013 wally <wally> 0.3.0-2.mga3
+ Revision: 406474
- build with our %%optflags and %%ldflags

* Wed Mar 27 2013 dams <dams> 0.3.0-1.mga3
+ Revision: 405741
- new version 0.3.0
- add patch for .desktop file
- update BR

* Fri Jan 11 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 351183
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 dams <dams> 0.2.2-1.mga3
+ Revision: 315088
- add a %%group
- imported package geary

